public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/sci:ccp4 commit in: dev-python/meshpy/
@ 2013-06-16 11:31 Justin Lecher
  0 siblings, 0 replies; only message in thread
From: Justin Lecher @ 2013-06-16 11:31 UTC (permalink / raw
  To: gentoo-commits

commit:     8920656b43f93499028b7e9a2f39c6b9457527ff
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 14 10:06:41 2013 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Jun 15 10:28:17 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=8920656b

dev-python/meshpy: Version Bump; Bump to EAPI=5 and distutils-r1.eclass

Package-Manager: portage-2.2.0_alpha179
RepoMan-Options: --force

---
 dev-python/meshpy/ChangeLog                        |  8 +++++-
 ...meshpy-0.91.2.ebuild => meshpy-2013.1.2.ebuild} | 29 ++++++++++++----------
 dev-python/meshpy/metadata.xml                     |  5 ++--
 3 files changed, 25 insertions(+), 17 deletions(-)

diff --git a/dev-python/meshpy/ChangeLog b/dev-python/meshpy/ChangeLog
index e480b20..1f223ae 100644
--- a/dev-python/meshpy/ChangeLog
+++ b/dev-python/meshpy/ChangeLog
@@ -1,7 +1,13 @@
 # ChangeLog for dev-python/meshpy
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*meshpy-2013.1.2 (14 Jun 2013)
+
+  14 Jun 2013; Justin Lecher <jlec@gentoo.org> -meshpy-0.91.2.ebuild,
+  +meshpy-2013.1.2.ebuild, metadata.xml:
+  Version Bump; Bump to EAPI=5 and distutils-r1.eclass
+
   14 Dec 2010; Justin Lecher <jlec@gentoo.org> meshpy-0.91.2.ebuild,
   metadata.xml:
   Some QA, src_configure not needed

diff --git a/dev-python/meshpy/meshpy-0.91.2.ebuild b/dev-python/meshpy/meshpy-2013.1.2.ebuild
similarity index 51%
rename from dev-python/meshpy/meshpy-0.91.2.ebuild
rename to dev-python/meshpy/meshpy-2013.1.2.ebuild
index cecc702..6d76c38 100644
--- a/dev-python/meshpy/meshpy-0.91.2.ebuild
+++ b/dev-python/meshpy/meshpy-2013.1.2.ebuild
@@ -1,13 +1,12 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
-EAPI="3"
+EAPI=5
 
-PYTHON_DEPEND="2"
-SUPPORT_PYTHON_ABIS="1"
+PYTHON_COMPAT=( python{2_6,2_7} )
 
-inherit distutils
+inherit distutils-r1
 
 MY_PN="MeshPy"
 
@@ -21,16 +20,20 @@ KEYWORDS="~amd64 ~x86"
 IUSE=""
 
 RDEPEND="
-	dev-libs/boost[python]
-	dev-python/pyvtk"
-DEPEND="
-	${RDEPEND}
-	dev-python/setuptools"
+	dev-libs/boost[python,${PYTHON_USEDEP}]
+	dev-python/pyvtk[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]"
 
 S="${WORKDIR}/${MY_PN}-${PV}"
 
-src_prepare() {
+python_prepare_all() {
 	sed 's: delay = 10: delay = 1:g' -i aksetup_helper.py || die
-	echo "BOOST_PYTHON_LIBNAME = ['boost_python-mt']">> siteconf.py
-	distutils_src_prepare
+	distutils-r1_python_prepare_all
+}
+
+python_compile() {
+	mkdir "${BUILD_DIR}" || die
+	echo "BOOST_PYTHON_LIBNAME = [\'boost_${EPYTHON}-mt\']">> "${BUILD_DIR}"/siteconf.py
+	distutils-r1_python_compile
 }

diff --git a/dev-python/meshpy/metadata.xml b/dev-python/meshpy/metadata.xml
index 24d0dc6..0c0b3ca 100644
--- a/dev-python/meshpy/metadata.xml
+++ b/dev-python/meshpy/metadata.xml
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<herd>sci</herd>
-<longdescription lang="en">
+  <herd>sci</herd>
+  <longdescription lang="en">
 MeshPy offers quality triangular and tetrahedral mesh generation for Python. 
 Meshes of this type are chiefly used in finite-element simulation codes, but 
 also have many other applications ranging from computer graphics to robotics.
@@ -11,4 +11,3 @@ to two well-regarded mesh generators, Triangle by J. Shewchuk and TetGen by
 Hang Si. Both are included in the package in slightly modified versions.
 </longdescription>
 </pkgmetadata>
-


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2013-06-16 11:31 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-06-16 11:31 [gentoo-commits] proj/sci:ccp4 commit in: dev-python/meshpy/ Justin Lecher

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox